foros.eduroam.es » Problemas » Dispositivos móviles

problemas con algunas versiones de android con wpa_supplicant 0.6.10

(6 mensajes)
  1. aigallardo_unex
    Miembro

    ¡Hola!

    en la UEX estamos teniendo problemas de conexión a eduroam con determinados terminales móviles android (diferentes versiones: 2.3.3, 2.3.7, 3.2, etc).

    El problema es que falla la autenticación 802.1X (el log del punto no nos da mucha más información)

    Por lo que hemos comprobado todos los terminales tenían wpa_supplicant 0.6.10

    Tenemos diferentes modelos de puntos de acceso autónomos y los problemas de conexión son con los puntos más nuevos.

    Hay bastantes referencias en internet a este tema. El hilo más extenso que hemos encontrado:

    http://code.google.com/p/android/issues/detail?id=8804

    ¿tenéis fallos similares?

    Os iremos contando. Un saludo.

    Publicado hace 6 años #
  2. macias
    Administrador

    Hola Ana,

    el problema que enlazas creo que es distinto al que comentas...

    En Froyo conocíamos la existencia de un problema parecido (comentado por aquí), pero aparentemente en Gingerbread (2.3) ya estaba solucionado (ver ese mismo hilo).

    Este aparentemente es otro... pregunta: ¿llegas a verlo por los radius? ¿te llegan las peticiones al menos?

    Saludos.

    Publicado hace 6 años #
  3. femenia_uv
    Miembro

    Hola!
    Me parece que el problema es del suplicante. Nosotros aquí, hasta que se han ido cambiando las versiones del wpa_supplicant a algo distinto de la 0.6.10, no hemos conseguido que funcionaran bien.

    Saludos.

    Publicado hace 6 años #
  4. macias
    Administrador

    Hola,

    acabo de comprobar que en un Android con 2.3.7 (CyanogenMod CM7.1.0-benru89), y que viene con un wpa_supplicant 0.6.10, todo funcionaba perfectamente...

    ¿quizá el wpa_supplicant va ya parcheado?

    Saludos.

    Publicado hace 6 años #
  5. aigallardo_unex
    Miembro

    Hola,

    José Manuel la verdad es que en ese hilo se mezclan distintas situaciones...

    No, no llega nada a los RADIUS, es el punto de acceso el que tira al usuario porque falla la autenticación 802.1X pero sólo en determinados puntos.

    Los dispositivos con los que hemos probado son Gingerbread y Honeycomb, todos con wpa_supplicant 0.6.10 Algunos conectan sin problemas y otros no

    Un saludo y gracias por la pronta respuesta

    Publicado hace 6 años #
  6. macias
    Administrador

    ¿tenéis activada calidad de servicio? En uno de los mensajes en el hilo que citabas, mencionan que con ciertas combinaciones de chipset del dispositivo, y AP, era cuando se producía... y que desactivando las opciones de calidad de servicio podría funcionar...

    Se que son palos de ciego, pero la única alternativa que se me ocurre sería abrir un terminal y probar con el wpa_supplicant directamente, para ver si se queja...

    Saludos.

    Publicado hace 6 años #

Feed RSS para este tema

Responder

Debes Identificarte para publicar.